package com.ruoyi.wx.web.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.v3.oas.annotations.media.Schema;

import java.math.BigDecimal;
import java.util.Date;

@Schema(description = "用户实体")
@ApiModel(value = "物品详情实体类")
public class GoodsInfoVo {
    /**
     * id
     */
    @Schema(title = "id")
    private Long id;

    /** 型号 */
    @Excel(name = "型号")
    @Schema(title = "型号")
    private String model;

    /** 发售价 */
    @Excel(name = "发售价")
    @Schema(title = "发售价")
    private BigDecimal sale;

    /** 市场价 */
    @Excel(name = "市场价")
    @Schema(title = "市场价")
    private BigDecimal market;

    /**
     * 商品规格
     */
    @Excel(name = "商品规格")
    @Schema(title = "商品规格")
    private String specs;

    /**
     * 市场价和售价价差
     */
    @Excel(name = "价格差")
    @Schema(title = "价格差")
    private BigDecimal arbitrage;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public BigDecimal getSale() {
        return sale;
    }

    public void setSale(BigDecimal sale) {
        this.sale = sale;
    }

    public BigDecimal getMarket() {
        return market;
    }

    public void setMarket(BigDecimal market) {
        this.market = market;
    }

    public String getSpecs() {
        return specs;
    }

    public void setSpecs(String specs) {
        this.specs = specs;
    }

    public BigDecimal getArbitrage() {
        return arbitrage;
    }

    public void setArbitrage(BigDecimal arbitrage) {
        this.arbitrage = arbitrage;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("GoodsInfoVo{");
        sb.append("id=").append(id);
        sb.append(", model='").append(model).append('\'');
        sb.append(", sale=").append(sale);
        sb.append(", market=").append(market);
        sb.append(", specs='").append(specs).append('\'');
        sb.append(", arbitrage=").append(arbitrage);
        sb.append(", updateDate=").append(updateDate);
        sb.append('}');
        return sb.toString();
    }
}
